%define api_version 1.2
%define repodir %{_javadir}/repository.jboss.com/glassfish/jstl/%{version}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src
%define with_repolib 0

Name:          glassfish-jstl
Version:       1.2.0
Release:       %mkrel 2
Summary:       JavaServer Pages Standard Tag Library
Group:         Development/Java
License:       CDDL, GPL
Url:           http://jstl.java.net/
# https://repository.jboss.org/glassfish/jstl/1.2.0-brew/src/glassfish-jstl-1.2.0.tar.gz
Source0:       glassfish-jstl-1.2.0.tar.gz
Source1:       glassfish-jstl.pom
Source2:       CDDLv1.0.txt
Source3:       glassfish-jstl-component-info.xml
# https://repository.jboss.org/glassfish/jstl/1.2.0-brew/src/glassfish-jstl-1.2.0-ant-hack.patch
Patch0:        glassfish-jstl-1.2.0-ant-hack.patch

Patch1:        glassfish-jstl-jdk6.patch
Patch2:        glassfish-jstl-jdk7.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant
BuildRequires: jbossweb
BuildRequires: jdom
BuildRequires: sax2
BuildRequires: tomcat6-el-2.1-api
BuildRequires: tomcat6-jsp-2.1-api
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: xalan-j2
BuildRequires: xerces-j2
BuildRequires: xml-commons-apis
Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
This project provides an implementation of the Standard Tag Library for JavaServer Pages (JSTL) 1.2.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Glassfish - Standard Tag Library for JavaServer Pages (JSTL) 1.2.

This package contains javadoc for %{name}.

%if %with_repolib
%package repolib
Group:         Development/Java
Summary:       Artifacts to be uploaded to a repository library

%description repolib
Glassfish - Standard Tag Library for JavaServer Pages (JSTL) 1.2.

This package contains artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep
%setup -q -n appserv-jstl
%patch0 -p1
%patch1 -p1 -b .jdk6
%patch2 -p0 -b .jdk7

iconv -f iso88591 -t utf8 < %{SOURCE2} > CDDLv1.0.txt

%build
export CLASSPATH=
export OPT_JAR_LIST=:
ant -Djavaee.jar=$(build-classpath jdbc-stdext jboss/jbossweb jdom sax2 tomcat6-servlet-api tomcat6-jsp-api tomcat6-el-api xalan-j2 xerces-j2 xml-commons-apis) release jar

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -p -m 0644 build/release/jstl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar


install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{with_repolib}
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -pm 644 %{SOURCE3} $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i "s/@VERSION@/%{version}-brew/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}.jar $RPM_BUILD_ROOT%{repodirlib}/jstl.jar
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
%endif

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc CDDLv1.0.txt

%files javadoc
%{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%{repodir}/*
%endif


%changelog

* Thu Jan 26 2012 gil <gil> 1.2.0-2.mga2
+ Revision: 201985
- rebuilt with java 7 support
- update to 1.2.0
- imported package glassfish-jstl

  + dmorgan <dmorgan>
    - Clean spec file


* Thu Jun 30 2011 gil <gil> 1.2-0.%%mkrel
- initial rpm